Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(98)

Issue 742643003: Cache template literal callSiteObj (Closed)

Created:
4 years, 11 months ago by caitp (gmail)
Modified:
4 years, 11 months ago
CC:
v8-dev
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Project:
v8
Visibility:
Public.

Description

Patch Set 1 #

Total comments: 13

Patch Set 2 : Rebased #

Patch Set 3 : Use existing hash algorithm, simplify cache get/set, more tests #

Total comments: 5

Patch Set 4 : Fix raw strings with wide characters, + some new tests #

Total comments: 6

Patch Set 5 : Remove multi-byte string handling, will do that later #

Patch Set 6 : Shorten hash-string #

Total comments: 1

Patch Set 7 : Rename `num_dummy_chars` to `num_hash_chars` to be clearer #

Patch Set 8 : Truncate hash_string to ensure hashed the same #

Patch Set 9 : Use Smi for 64 bit, Number for other arches #

Patch Set 10 : Ensure hash is a valid Smi literal #

Unified diffs Side-by-side diffs Delta from patch set Stats (+151 lines, -6 lines) Patch
M src/harmony-templates.js View 1 2 3 4 1 chunk +49 lines, -3 lines 0 comments Download
M src/parser.h View 1 1 chunk +2 lines, -1 line 0 comments Download
M src/parser.cc View 1 2 3 4 5 6 7 8 9 6 chunks +31 lines, -2 lines 0 comments Download
M test/mjsunit/harmony/templates.js View 1 2 3 4 1 chunk +69 lines, -0 lines 0 comments Download

Messages

Total messages: 27 (5 generated)
caitp (gmail)
Simple implementation of callSite caching. String hashing is performed during parsing, while object storage and ...
4 years, 11 months ago (2014-11-19 03:42:49 UTC) #1
caitp (gmail)
https://codereview.chromium.org/742643003/diff/1/src/harmony-templates.js File src/harmony-templates.js (right): https://codereview.chromium.org/742643003/diff/1/src/harmony-templates.js#newcode28 src/harmony-templates.js:28: if ("raw" in obj) { I know this is ...
4 years, 11 months ago (2014-11-19 03:50:33 UTC) #2
arv (Not doing code reviews)
neat https://codereview.chromium.org/742643003/diff/1/src/harmony-templates.js File src/harmony-templates.js (right): https://codereview.chromium.org/742643003/diff/1/src/harmony-templates.js#newcode24 src/harmony-templates.js:24: var obj = callSiteCache.get(hash); This needs to be ...
4 years, 11 months ago (2014-11-19 06:09:12 UTC) #4
caitp (gmail)
https://codereview.chromium.org/742643003/diff/1/src/harmony-templates.js File src/harmony-templates.js (right): https://codereview.chromium.org/742643003/diff/1/src/harmony-templates.js#newcode24 src/harmony-templates.js:24: var obj = callSiteCache.get(hash); On 2014/11/19 06:09:11, arv wrote: ...
4 years, 11 months ago (2014-11-19 07:15:06 UTC) #5
caitp (gmail)
https://codereview.chromium.org/742643003/diff/40001/src/harmony-templates.js File src/harmony-templates.js (right): https://codereview.chromium.org/742643003/diff/40001/src/harmony-templates.js#newcode24 src/harmony-templates.js:24: var obj = %MapGet(callSiteCache, hash); It might be a ...
4 years, 11 months ago (2014-11-19 12:14:11 UTC) #6
arv (Not doing code reviews)
We should probably rename the "call site object" to "template object" or "template pattern object". ...
4 years, 11 months ago (2014-11-19 17:18:46 UTC) #8
caitp (gmail)
On 2014/11/19 17:18:46, arv wrote: > We should probably rename the "call site object" to ...
4 years, 11 months ago (2014-11-19 18:42:00 UTC) #9
caitp (gmail)
https://codereview.chromium.org/742643003/diff/60001/src/parser.cc File src/parser.cc (right): https://codereview.chromium.org/742643003/diff/60001/src/parser.cc#newcode5336 src/parser.cc:5336: unibrow::Utf8Decoder<256> decoder(raw_chars.get(), to_index); A better solution for this is ...
4 years, 11 months ago (2014-11-19 20:16:54 UTC) #10
arv (Not doing code reviews)
https://codereview.chromium.org/742643003/diff/60001/src/parser.cc File src/parser.cc (right): https://codereview.chromium.org/742643003/diff/60001/src/parser.cc#newcode5310 src/parser.cc:5310: hash_string[num_hash_chars++] = '.'; Can we skip the '.' here? ...
4 years, 11 months ago (2014-11-19 21:29:04 UTC) #11
arv (Not doing code reviews)
https://codereview.chromium.org/742643003/diff/60001/src/harmony-templates.js File src/harmony-templates.js (right): https://codereview.chromium.org/742643003/diff/60001/src/harmony-templates.js#newcode39 src/harmony-templates.js:39: %MapSet(callSiteCache, hash, new InternalArray(siteObj)); Lets not use the strange ...
4 years, 11 months ago (2014-11-19 21:38:57 UTC) #12
caitp (gmail)
On 2014/11/19 21:38:57, arv wrote: > https://codereview.chromium.org/742643003/diff/60001/src/harmony-templates.js > File src/harmony-templates.js (right): > > https://codereview.chromium.org/742643003/diff/60001/src/harmony-templates.js#newcode39 > ...
4 years, 11 months ago (2014-11-19 21:58:59 UTC) #13
arv (Not doing code reviews)
LGTM Dmitry, care to do an owners review? https://codereview.chromium.org/742643003/diff/100001/src/parser.cc File src/parser.cc (right): https://codereview.chromium.org/742643003/diff/100001/src/parser.cc#newcode5287 src/parser.cc:5287: int ...
4 years, 11 months ago (2014-11-19 22:12:31 UTC) #14
caitp (gmail)
On 2014/11/19 22:12:31, arv wrote: > LGTM > > Dmitry, care to do an owners ...
4 years, 11 months ago (2014-11-19 22:14:31 UTC) #15
Dmitry Lomov (no reviews)
lgtm
4 years, 11 months ago (2014-11-19 22:16:23 UTC) #16
caitp (gmail)
On 2014/11/19 22:16:23, Dmitry Lomov (chromium) wrote: > lgtm will CQ and work on the ...
4 years, 11 months ago (2014-11-19 23:03:52 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/742643003/90005
4 years, 11 months ago (2014-11-19 23:04:12 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: v8_linux_rel on tryserver.v8 (http://build.chromium.org/p/tryserver.v8/builders/v8_linux_rel/builds/1288)
4 years, 11 months ago (2014-11-19 23:20:48 UTC) #21
caitp (gmail)
On 2014/11/19 23:20:48, I haz the power (commit-bot) wrote: > Try jobs failed on following ...
4 years, 11 months ago (2014-11-19 23:43:58 UTC) #22
caitp (gmail)
Added a fix for the ia32 case, which works for me locally --- but it ...
4 years, 11 months ago (2014-11-20 01:39:27 UTC) #23
caitp (gmail)
On 2014/11/20 01:39:27, caitp wrote: > Added a fix for the ia32 case, which works ...
4 years, 11 months ago (2014-11-20 20:06:32 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/742643003/170001
4 years, 11 months ago (2014-11-20 22:05:54 UTC) #26
commit-bot: I haz the power
4 years, 11 months ago (2014-11-20 22:37:41 UTC) #27
Message was sent while issue was closed.
Committed patchset #10 (id:170001)

Powered by Google App Engine
This is Rietveld 408576698